Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# ACE_Static_Node Class Reference

Handle a statically linked node. More...

`#include <Parse_Node.h>`

Inheritance diagram for ACE_Static_Node:

[legend]
Collaboration diagram for ACE_Static_Node:

[legend]
List of all members.

## Public Methods
| ACE_Static_Node (const ACE_TCHAR *name, ACE_TCHAR *params=0)
virtual | ~ACE_Static_Node (void)
virtual void | apply (int &yyerrno)
virtual const ACE_Service_Type * | record (void) const
ACE_TCHAR * | parameters (void) const
void | dump (void) const
| Dump the state of an object.
## Public Attributes
| ACE_ALLOC_HOOK_DECLARE
| Declare the dynamic allocation hooks.
## Private Attributes
ACE_TCHAR * | parameters_
| "Command-line" parameters.

## Detailed Description

Handle a statically linked node.

Note:
  This class is only meant for INTERNAL use by ACE.

## Constructor & Destructor Documentation

ACE_Static_Node::ACE_Static_Node | ( | const ACE_TCHAR * | name,
|  | ACE_TCHAR * | params = 0
| ) |

ACE_Static_Node::~ACE_Static_Node | ( | void |  | ) | `[virtual]`

## Member Function Documentation

void ACE_Static_Node::apply | ( | int & | yyerrno | ) | `[virtual]`

| Implements ACE_Parse_Node. Reimplemented in ACE_Dynamic_Node.

void ACE_Static_Node::dump | ( | void |  | ) | const

| Dump the state of an object. Reimplemented from ACE_Parse_Node. Reimplemented in ACE_Dynamic_Node.

ACE_TCHAR * ACE_Static_Node::parameters | ( | void |  | ) | const

const ACE_Service_Type * ACE_Static_Node::record | ( | void |  | ) | const`[virtual]`

| Reimplemented in ACE_Dynamic_Node.

## Member Data Documentation

ACE_Static_Node::ACE_ALLOC_HOOK_DECLARE

| Declare the dynamic allocation hooks. Reimplemented from ACE_Parse_Node. Reimplemented in ACE_Dynamic_Node.

ACE_TCHAR* ACE_Static_Node::parameters_`[private]`

| "Command-line" parameters.

The documentation for this class was generated from the following files:

- /export2/deucetmp/bala/release_try/ACE_wrappers/ace/Parse_Node.h
- /export2/deucetmp/bala/release_try/ACE_wrappers/ace/Parse_Node.cpp